Subject: bug#33094: closed (latex-koma-script: scrlttr2: ERROR: Argument of \strip@prefix has an extra }.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Aug 2023 09:07:02 +0000

Your bug report

#33094: latex-koma-script: scrlttr2: ERROR: Argument of \strip@prefix has an extra }.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33094: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33094
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: latex-koma-script: scrlttr2: ERROR: Argument of \strip@prefix has an extra }.
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: Pierre Neidhardt <[email-masked]>
Date: Sat, 26 Aug 2023 11:04:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This is now fixed:

--8<---------------cut here---------------start------------->8---
$ guix shell texlive-collection-latexrecommended -- pdflatex latex.tex

pdflatex latex.tex 
This is pdfTeX, Version 3.141592653-2.6-1.40.25 (TeX Live 2023/GNU Guix) (preloaded format=pdflatex)
 restricted \write18 enabled.
entering extended mode
(./latex.tex
LaTeX2e <2022-11-01> patch level 1
L3 programming layer <2023-02-22> (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrlttr2.cls
Document Class: scrlttr2 2022/10/12 v3.38 KOMA-Script document class (letter)
(/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrkbase.sty (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrbase.sty (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrlfile.sty (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrlfile-hook.sty (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrlogo.sty))) (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/graphics/keyval.sty))) (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/scrsize12pt.clo) (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/typearea.sty)) (/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/koma-script/DIN.lco)
(/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/base/inputenc.sty)

Class scrlttr2 Warning: \date changes the internal \LaTeX date only.
(scrlttr2)              You should note that this changes the default
(scrlttr2)              value of variable `date' only as long as nobody
(scrlttr2)              uses `\setkomavar` to change the content of
(scrlttr2)              variable `date'.
(scrlttr2)              Therefore, usage of `\setkomavar' is recommended
(scrlttr2)              to change the letter's date on input line 6.

(/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/tex/latex/l3backend/l3backend-pdftex.def)
No file latex.aux.
[1{/gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/fonts/map/pdftex/updmap/pdftex.map}] (./latex.aux) )</gnu/store/k6d1433yxpb1g3whfdh1h5pmf4bnmlzg-profile/share/texmf-dist/fonts/type1/public/amsfonts/cm/cmr12.pfb>
Output written on latex.pdf (1 page, 16397 bytes).
Transcript written on latex.log.
--8<---------------cut here---------------end--------------->8---

The resulting document looks fine to me.

-- 
Ricardo

Subject: latex-koma-script: scrlttr2: ERROR: Argument of \strip@prefix has an extra }.
From: Pierre Neidhardt <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>
Date: Fri, 19 Oct 2018 15:35:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I've just committed texlive-latex-koma-script which only works partly,
but I can't figure out the root of the issue.

This linked example works:

	https://github.com/oliverklee/latex-examples/tree/master/simple-article-koma-script

The following fails:

--8<---------------cut here---------------start------------->8---
\documentclass[a4paper]{scrlttr2}
\usepackage[utf8]{inputenc}

\title{A very simple document}
\author{Oliver Klee}
\date{\today\ (a very good day)}

\begin{document}

This is an example of how to create line breaks and paragraphs:

Three Rings for the Elven-kings under the sky,\\
Seven for the Dwarf-lords in their halls of stone,\\
Nine for Mortal Men doomed to die,\\
One for the Dark Lord on his dark throne

\end{document}
--8<---------------cut here---------------end--------------->8---

with

--8<---------------cut here---------------start------------->8---
ERROR: Argument of \strip@prefix has an extra }.

--- TeX said ---
<inserted text> 
                \par 
l.12 \begin{document}
                     
--- HELP ---
From the .log file...

I've run across a `}' that doesn't seem to match anything.
For example, `\def\a#1{...}' and `\a}' would produce
this error. If you simply proceed now, the `\par' that
I've just inserted will cause me to report a runaway
argument that might be the root of the problem. But if
your `}' was spurious, just type `2' and it will go away.
--8<---------------cut here---------------end--------------->8---

I can't install the full Texlive distribution as I don't have enough
space.

Ricardo, if you can, could you try this out and see if it works with the
full Texlive?

-- 
Pierre Neidhardt
https://ambrevar.xyz/